Skip to main content
`Ctrl`+`K`

# numpy.dtype.__class_getitem__

method

classmethod dtype.__class_getitem__(item, /)

  Return a parametrized wrapper around the `dtype` type.

  Added in version 1.22.

  Returns:
    alias types.GenericAlias

      A parametrized `dtype` type.

  See also

  PEP 585

    Type hinting generics in standard collections.

  Examples

      >>> import numpy as np

      >>> np.dtype[np.int64]
      numpy.dtype[numpy.int64]